All methods and paths for this operation:
Influencers are the entities that have contributed to, or are to blame for,
the anomalies. Influencer results are available only if an
influencer_field_name is specified in the job configuration.
Required authorization
- Cluster privileges:
monitor_ml
Query parameters
-
If true, the results are sorted in descending order.
-
Returns influencers with timestamps earlier than this time. The default value means it is unset and results are not limited to specific timestamps.
-
If true, the output excludes interim results. By default, interim results are included.
-
Returns influencers with anomaly scores greater than or equal to this value.
-
Skips the specified number of influencers.
-
Specifies the maximum number of influencers to obtain.
-
Specifies the sort field for the requested influencers. By default, the influencers are sorted by the
influencer_scorevalue. -
Returns influencers with timestamps after this time. The default value means it is unset and results are not limited to specific timestamps.
GET _ml/anomaly_detectors/high_sum_total_sales/results/influencers?desc=true&sort="influencer_score"
resp = client.ml.get_influencers(
job_id="high_sum_total_sales",
desc=True,
sort="\"influencer_score\"",
)
const response = await client.ml.getInfluencers({
job_id: "high_sum_total_sales",
desc: "true",
sort: '"influencer_score"',
});
response = client.ml.get_influencers(
job_id: "high_sum_total_sales",
desc: "true",
sort: "\"influencer_score\""
)
$resp = $client->ml()->getInfluencers([
"job_id" => "high_sum_total_sales",
"desc" => "true",
"sort" => "\"influencer_score\"",
]);
curl -X GET -H "Authorization: ApiKey $ELASTIC_API_KEY" "$ELASTICSEARCH_URL/_ml/anomaly_detectors/high_sum_total_sales/results/influencers?desc=true&sort="influencer_score""
client.ml().getInfluencers(g -> g
.desc(true)
.jobId("high_sum_total_sales")
.sort(""influencer_score"")
);